# The Anomalous Diffusion (AnDi) Challenge Package

This package contains the necessary functions to generate datasets of trajectories for the [**Anomalous Diffusion (AnDi) Challenge**](www.andi-challenge.org). 

## Getting started

- Install the package using:

```
pip install andi-datasets
```
 
- Import the package in a Python3 environment using:

```python
import andi
```


## Available tools

There are two main classes in the ANDI package:

1. `andi_datasets`: creates and manages trajectory datasets.
	
2. `diffusion_models`: contains various diffusion models from which create trajectories for various parameters in one, two and three dimensions.
	
For more details, please visit the [hosting repository](https://github.com/AnDiChallenge/ANDI_datasets) where you can find an [example of use](https://github.com/AnDiChallenge/ANDI_datasets/blob/master/examples_andi.ipynb).

